### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-sticky-container/ecl-sticky-container.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-sticky-container`
styles | `:host { display: block; align-self: flex-start; top: 0; z-index: 10; position: sticky; position: -webkit-sticky; } :host.ecl-sticky-container--disabled { position: static; }`
templateUrl | `./ecl-sticky-container.component.html`

### Index

###### Methods
bottom top getCssClasses
###### Inputs
isEnabled marginBottom marginTop class e2eAttr
###### HostBindings
class style.bottom.px style.top.px
###### Accessors
cssClasses

### Inputs

isEnabled
Type : `boolean | any`
Default value : `true`

marginBottom
Type : `number`
Default value : `0`

marginTop
Type : `number`
Default value : `0`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

style.bottom.px
Type : `number`

style.top.px
Type : `number`

### Methods

bottom
`bottom()`
Decorators : `@HostBinding('style.bottom.px')`
Returns : `number`

top
`top()`
Decorators : `@HostBinding('style.top.px')`
Returns : `number`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""